import React from 'react';
import { Image, TouchableOpacity, StyleSheet } from 'react-native';
import { useNavigation } from "@react-navigation/native";
import StyledText from "./StyledText";

const FriendSuggestion = ({ name, imagePath, userID }) => {
    const navigation = useNavigation();

    return (
        <TouchableOpacity style={styles.container} onPress={e => navigation.navigate("Other's Profile Screen", { userID })}>
            <Image style={styles.photo} source={{uri: imagePath}} />
            <StyledText style={styles.name}>{name}</StyledText>
        </TouchableOpacity>
    )
}

const styles = StyleSheet.create({
    container: {
        alignItems: 'center',
        marginHorizontal: 7
    },
    name: {
        fontFamily: "DMSans_500Medium",
        fontSize: 20,
    },
    photo: {
        height: 188,
        width: 165,
        borderRadius: 20,
        marginBottom: 8
    }
})

export default FriendSuggestion;