import React from 'react';
import { View, Image, StyleSheet} from 'react-native';
import { interestCategories } from "../scripts/hardcoded_data";

// Constant dimensions
const WIDTH = 60;
const HEIGHT = 60;

const InterestBubble = ({currInterestName}) => {
    const currCategoryItem = interestCategories.find(item => item.name === currInterestName);

    return(
        <View style={[{alignSelf: 'center', }, styles.container]}>
            <View style={styles.imageContainer} >
                <Image style={styles.image} source={currCategoryItem.imageUrl} resizeMode='contain'/>
            </View>
        </View>
    );
}


const styles = StyleSheet.create({
  container: {
    width: WIDTH,
    height: HEIGHT,
    borderRadius: 100,
    justifyContent: 'center',
    alignItems: 'center',
  },
  imageContainer: {
    width: '100%',
    height: '100%',
    borderRadius: 100,
    flex: 1,
    borderColor: "blue",
    flexDirection:"row",
    alignItems:'center',
    justifyContent:'center',
    overflow: "hidden",
  },
  image: {
    alignSelf: 'center',
    height: HEIGHT,
    width: WIDTH,
    borderRadius: 200,
  },
});

export default InterestBubble; 