import EventEmitter from "events";
import { DependencyList, useEffect } from "react";

interface GlobalEventsType extends EventEmitter {
    useListener: (eventName: string | symbol, listener: (args: any[]) => void, deps?: DependencyList) => void;
};

const GlobalEvents = new EventEmitter() as GlobalEventsType;
GlobalEvents.useListener = (eventName, listener, deps) => {
    useEffect(() => {
        GlobalEvents.addListener(eventName, listener);
        return () => void GlobalEvents.removeListener(eventName, listener);
    }, deps);
};

export default GlobalEvents;
