import { useState } from "react";

/**
 * A hook that returns a function that will trigger a re-render of the component. Internally uses
 * `useState()`.
 * @returns {() => void} The function that triggers a re-render of the component.
 */
const useTriggerRerender = () => {
    const [rerenders, setRerenders] = useState([]);
    return () => {
        setRerenders([]);
    };
};

export default useTriggerRerender;